RSYNCRYPTO_RECOVER(1)

NAME
rsyncrypto_recover - recover all usable data from corrupted rsyncrypto filemaps

SYNOPSIS
rsyncrypto_recover badfile > goodfile

DESCRIPTION
This manual page documents the rsyncrypto_recover command.

When the rsyncrypto command is used with the --name-encrypt command, a file containing the mapping from the plain text representation to the encrypted file names is formed. This file mapping has a strict format of records delimited by a NULL byte.

A bug introduced in version 1.07 or rsyncrypto, and solved in version 1.09, caused this file to be somewhat corrupted under certain circumstances, most notably the use of the --delete-keys command line option.

It is important to note that the only records corrupted are records that were due to be deleted anyways. This bug did not result in any loss of actual important data. It did, however, leave behind a file that rsyncrypto then refused to open.

rsyncrypto_recover will read in a file map, and output to the standard output only those records that are valid.

PARAMETERS

badfile
    A file map that contains some good and some corrupted records.

SEE ALSO
rsyncrypto(1)

AUTHOR
rsyncrypto was written by Shachar Shemesh for Lingnu Open Source Consulting ltd. http://www.lingnu.com

This manual page was written by Shachar Shemesh <shachar@debian.org>

PROJECT HOMEPAGE
http://rsyncrypto.lingnu.com